org.python.core

## Class IdImpl

- java.lang.Object
- - org.python.core.IdImpl

-     public class IdImpl
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IdImpl.WeakIdentityMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `id(PyObject o)`
    `java.lang.String` | `idstr(PyObject o)`
    `long` | `java_obj_id(java.lang.Object o)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdImpl

          public IdImpl()

  - ### Method Detail

    - #### id

          public long id(PyObject o)

    - #### idstr

          public java.lang.String idstr(PyObject o)

    - #### java_obj_id

          public long java_obj_id(java.lang.Object o)

Jython homepage